Core API
Activate Address
Activate an inactive TRON address on the blockchain
POST
/
api
/
v1
/
energy
/
activate
Activate Address
curl --request POST \
--url https://api.example.com/api/v1/energy/activate \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/energy/activate"
payload = { "address": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({address: '<string>'})
};
fetch('https://api.example.com/api/v1/energy/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"tx_hash": "<string>"
}Activate Address
Activates a TRON address that has never received any transaction. Required before the address can receive tokens. Cost: 1.1 TRX (deducted from your balance)Request body
TRON address to activate (T… format)
Response
Whether activation was successful
Activation transaction hash
Example
curl -X POST https://api.tronrental.com/v1/energy/activate \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{"address": "TNewInactiveAddress..."}'
Response
{
"success": true,
"tx_hash": "a1b2c3d4e5f6..."
}
⌘I
Activate Address
